Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.wpi.first.wpilibj
Class Skeleton.tJointTrackingState

    java.lang.Object
      edu.wpi.first.wpilibj.Skeleton.tJointTrackingState

Enclosing class:
  Skeleton

    public static class Skeleton.tJointTrackingState

extends Object

The Joint TrackingState

Field Summary
`static Skeleton.tJointTrackingState` | `kInferred` Joint TrackingState: Inferred
`protected static int` | `kInferred_val`
`static Skeleton.tJointTrackingState` | `kNotTracked` Joint TrackingState: Not Tracked
`protected static int` | `kNotTracked_val`
`static Skeleton.tJointTrackingState` | `kTracked` Joint TrackingState: Tracked
`protected static int` | `kTracked_val`
`int` | `value` The integer value representing this enumeration.

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public final int value

  The integer value representing this enumeration.

### kNotTracked_val

    protected static final int kNotTracked_val

See Also:
  Constant Field Values

### kInferred_val

    protected static final int kInferred_val

See Also:
  Constant Field Values

### kTracked_val

    protected static final int kTracked_val

See Also:
  Constant Field Values

### kNotTracked

    public static final Skeleton.tJointTrackingState kNotTracked

  Joint TrackingState: Not Tracked

### kInferred

    public static final Skeleton.tJointTrackingState kInferred

  Joint TrackingState: Inferred

### kTracked

    public static final Skeleton.tJointTrackingState kTracked

  Joint TrackingState: Tracked

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"